table的库函数
table.move()--将一个表中的元素移动到另一个表中，并保持原来的顺序。
table.sort()--对一个数组或表进行排序。
table.clone()--复制一个表。
table.concat()--将多个数组或表连接成一个新的数组或表。
table.foreachi()--对表中每个元素执行指定的函数，并将元素的索引作为额外的参数传递给函数。
table.remove()--从表中删除指定位置的元素，并返回删除的元素的值。
table.foreach()--对表中每个元素执行指定的函数。
table.unpack()--将一个数组或表中的元素作为参数传递给一个函数。
table.gfind()--在一个表中查找指定的值。
table.insert()--在表中的指定位置插入一个新的元素。
table.maxn()--返回表中可用的最大整数键。
table.pack()--创建一个包含指定值的新表。
table.find()--在一个表中查找指定的值，并返回匹配的键。
table.size()--返回表中的元素数量。
table.const()--使表的键变为只读。
table.clear()--清空表中的所有元素。
string的库函数
string.gsub()--在字符串中查找并替换指定的内容。
string.lower()--将字符串中的字符转换为小写。
string.gmatch()--在字符串中查找匹配指定模式的所有子串，并迭代返回每个匹配的结果。
string.upper()--将字符串中的字符转换为大写。
string.gfind()--在字符串中查找指定的值。
string.sub()--在字符串中查找并替换第一个匹配的内容。
string.reverse()--反转字符串中的字符顺序。
string.pack()--将一系列数值转换为二进制字符串。
string.byte()--返回字符串中指定位置的字符的 ASCII 值。
string.dump()--将函数转换为一个可执行的二进制字符串。
string.char()--返回指定的 ASCII 值所对应的字符。
string.format()--根据指定的格式将多个参数转换为字符串。
string.find()--在字符串中查找指定的值，并返回匹配的位置。
string.unpack()--将一个二进制字符串转换为对应的数值。
string.match()--在字符串中查找指定模式的第一个匹配。
string.len()--返回字符串的长度。
string.rep()--复制字符串指定次数。
string.packsize()--返回指定格式的二进制字符串需要的大小。
utf8的库函数
utf8.widthindex()--获取字符串的宽度索引
utf8.upper()--转换字符为大写
utf8.lower()--转换字符为小写
utf8.sub()--截取子串
utf8.codepoint()--获取字符的Unicode码点
utf8.offset()--获取字符串的偏移量
utf8.insert()--插入字符串
utf8.title()--将字符串中每个单词的首字母大写
utf8.remove()--移除字符串中的某部分内容
utf8.charpos()--获取特定位置的字符
utf8.len()--获取字符串的长度
utf8.charpattern()--匹配字符模式
utf8.match()--匹配字符串
utf8.gsub()--全局替换
utf8.gmatch()--全局匹配
utf8.find()--查找字符串
utf8.ncasecmp()--不区分大小写比较
utf8.codes()--获取字符串的字节码
utf8.escape()--转义字符串
utf8.next()--获取下一个字符
utf8.width()--获取字符的宽度
utf8.reverse()--反转字符串
utf8.fold()--折叠字符串
utf8.byte()--获取字符的字节表示
utf8.char()--获取指定位置的字符
io的库函数
io.type()--返回指定对象的类型。
io.lines()--返回一个迭代器，用于逐行读取文件。
io.flush()--刷新输出缓冲区。
io.close()--关闭文件。
io.stderr()--返回标准错误输出。
io.mkdir()--创建一个新的目录。
io.stdin()--返回标准输入。
io.input()--从标准输入读取一行。
io.stdout()--返回标准输出。
io.readall()--读取文件的全部内容。
io.ls()--返回指定目录下的所有文件和子目录。
io.dir()--返回指定目录下的所有文件和子目录的详细信息。
io.isdir()--判断指定路径是否为目录。
io.info()--返回指定路径的详细信息。
io.saveall()--保存所有全局变量到指定的文件。
io.open()--打开一个文件。
io.popen()--执行一个shell命令并返回一个文件对象。
io.write()--向文件写入内容。
io.tmpfile()--创建一个临时文件对象。
io.read()--从文件中读取指定数量的字符。
io.output()--以字符串的形式返回需要打印的内容，用于重定向输出。
os的库函数
os.exit()--终止当前程序的执行。
os.rename()--重命名一个文件或目录。
os.date()--返回当前日期和时间。
os.getenv()--获取指定环境变量的值。
os.difftime()--计算两个时间之间的差值。
os.time()--返回当前的系统时间。
os.tmpname()--生成一个临时文件名。
os.clock()--返回相对于程序启动的 CPU 时间。
os.execute()--在操作系统上执行指定的命令。
os.setlocale()--设置或获取当前的本地化信息。
os.remove()--删除指定的文件。
math的库函数
math.frexp()--将一个浮点数拆解为尾数和指数。
math.floor()--返回不大于指定浮点数的最大整数。
math.ceil()--返回不小于指定浮点数的最小整数。
math.randomseed()--设置随机数生成器的种子。
math.cos()--返回指定角度的余弦值。
math.ult()--判断两个整数是否满足无符号整数小于关系。
math.log()--返回指定数的自然对数。
math.sinh()--返回指定数的双曲正弦值。
math.log10()--返回指定数的以 10 为底的对数。
math.rad()--将指定角度转换为弧度。
math.modf()--将一个浮点数拆解为整数部分和小数部分。
math.atan()--返回指定数的反正切值。
math.random()--返回一个 [0,1) 范围内的随机浮点数。
math.acos()--返回指定角度的反余弦值。
math.huge()--返回一个表示无穷大的浮点数。
math.tointeger()--将指定值转换为整数。
math.fmod()--返回两个数的浮点数余数。
math.exp()--返回以 e 为底的指定数的幂。
math.atan2()--返回指定坐标点的反正切值。
math.abs()--返回指定数的绝对值。
math.tan()--返回指定角度的正切值。
math.mininteger()--返回表示最小整数的浮点数。
math.asin()--返回指定角度的反正弦值。
math.maxinteger()--返回表示最大整数的浮点数。
math.pi()--返回圆周率 π。
math.max()--返回一组数中的最大值。
math.ldexp()--返回指定数与 2 的指定次幂的乘积。
math.sqrt()--返回指定数的平方根。
math.tanh()--返回指定数的双曲正切值。
math.cosh()--返回指定数的双曲余弦值。
math.type()--返回指定值的类型。
math.pow()--返回一个数的指定幂次方。
math.sin()--返回指定角度的正弦值。
math.deg()--将指定弧度转换为角度。
math.min()--返回一组数中的最小值。